package com.ruoyi.mall.service;

import java.util.List;
import com.ruoyi.mall.domain.OfflineServices;

/**
 * 线下服务Service接口
 * 
 * @author ruoyi
 * @date 2023-10-16
 */
public interface IOfflineServicesService 
{
    /**
     * 查询线下服务
     * 
     * @param serviceId 线下服务主键
     * @return 线下服务
     */
    public OfflineServices selectOfflineServicesByServiceId(Long serviceId);

    /**
     * 查询线下服务列表
     * 
     * @param offlineServices 线下服务
     * @return 线下服务集合
     */
    public List<OfflineServices> selectOfflineServicesList(OfflineServices offlineServices);

    /**
     * 新增线下服务
     * 
     * @param offlineServices 线下服务
     * @return 结果
     */
    public int insertOfflineServices(OfflineServices offlineServices);

    /**
     * 修改线下服务
     * 
     * @param offlineServices 线下服务
     * @return 结果
     */
    public int updateOfflineServices(OfflineServices offlineServices);

    /**
     * 批量删除线下服务
     * 
     * @param serviceIds 需要删除的线下服务主键集合
     * @return 结果
     */
    public int logicDelOfflineServicesByServiceIds(Long[] serviceIds);
    public int logicDelOfflineServicesByServiceId(Long serviceIds);

}
